Bug 438773 - couldn't allocate secure memory to keep passwords and or keys from being written to the disk
couldn't allocate secure memory to keep passwords and or keys from being writ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 21:10 EDT by Matěj Cepl
Modified: 2015-03-03 17:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of grep gnome-keyring /var/log/messages (6.21 KB, text/plain)
2008-03-24 21:10 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2008-03-24 21:10:14 EDT
Description of problem:
I am getting problems to login to the wireless network. NetworkManager
repeatedly asks for the wi-fi network credentials and the only way out of the
problem seems to be quite often reboot (at least I haven't found a better way).

I found in /var/log/messages messages like this (and others -- see attachment):

Mar 24 11:53:53 viklef gnome-keyring-daemon[24752]: couldn't allocate secure
memory to keep passwords and or keys from being written to the disk

Version-Release number of selected component (if applicable):
gnome-keyring-2.20.3-1.fc8
NetworkManager-0.7.0-0.6.7.svn3370.fc8

How reproducible:
more often than I would like to (50% of all logins to wifi network?)

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
cannot login

Expected results:
it should just work
Comment 1 Matěj Cepl 2008-03-24 21:10:14 EDT
Created attachment 298961 [details]
output of grep gnome-keyring /var/log/messages
Comment 2 Bug Zapper 2008-05-14 02:49:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:50:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:34:33 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Giandomenico De Tullio 2010-05-13 03:23:27 EDT
From /var/log/messages:
May 13 09:12:09 <hostname> gnome-keyring-daemon[1940]: couldn't allocate secure memory to keep passwords and or keys from being written to the disk


[root@<hostname> ~]# rpm -qif /usr/bin/gnome-keyring-daemon
Name        : gnome-keyring                Relocations: (not relocatable)
Version     : 2.30.1                            Vendor: Fedora Project
Release     : 2.fc13                        Build Date: lun 03 mag 2010 17:33:48 CEST
Install Date: mar 04 mag 2010 18:25:35 CEST      Build Host: x86-03.phx2.fedoraproject.org
Group       : System Environment/Libraries   Source RPM: gnome-keyring-2.30.1-2.fc13.src.rpm
Size        : 5026959                          License: GPLv2+ and LGPLv2+
Signature   : RSA/8, lun 03 mag 2010 18:14:26 CEST, Key ID 7edc6ad6e8e40fde
Packager    : Fedora Project
URL         : http://www.gnome.org
Summary     : Framework for managing passwords and other secrets
Description :
The gnome-keyring session daemon manages passwords and other types of
secrets for the user, storing them encrypted with a main password.
Applications can use the gnome-keyring library to integrate with the keyring.

Note You need to log in before you can comment on or make changes to this bug.